Subject: Re: bug#41852: 27.0.50; text-scale commands don't scale header of tabulated-list-mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Oct 2020 21:01:02 +0200

> Cc: [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Fri, 30 Oct 2020 18:37:35 +0100
> 
>  >> Note that maybe 'text-scale-mode-header-line' should be also watched by
>  >> 'set-buffer-redisplay'.
>  >
>  > I tried adding `text-scale-remap-header-line-face' to the list of
>  > variables that are fed to `add-variable-watcher' at the end of frame.el.
>  > That doesn't work, unfortunately.
>  >
>  > I believe that since the remapping is done on a Lisp level,
>  > `text-scale-mode' isn't called even with a variable watcher.  Is there a
>  > way to work around that?  Or am I doing it wrong?
> 
> I'm not sure whether it's needed at all, Eli knows better.  I suppose it
> should work out of the box because setting the header line format
> already triggers 'set-buffer-redisplay' and the additional setting of
> 'text-scale-mode-header-line' will be covered by it.  We might have a
> problem when these two are set in separate steps.

The way to check whether some variable needs to be watched is
described in a comment near the end of frame.el.